/* Copyright 2021 andresteare
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

#include QMK_KEYBOARD_H

const uint16_t PROGMEM keymaps[][MATRIX_ROWS][MATRIX_COLS] = {
    [0] = LAYOUT(
		KC_N, 	          KC_NUBS, KC_LCTL,          KC_MINS, KC_SPC,  KC_ESC,  KC_V,    KC_E,   \
		KC_O, 	 KC_LSFT,                            KC_LPRN, KC_I,    KC_RO,            KC_Q,   \
		KC_COMM, KC_Z, 	  KC_3,    KC_HOME, KC_LBRC, KC_DOT,  KC_M,    KC_PGUP, KC_RSFT, KC_R,   \
		KC_L,    KC_BSPC,          KC_RGUI, KC_QUOT, KC_P,    KC_K,    KC_MYCM, KC_PPLS, KC_DEL, \
		KC_7,    KC_NUHS, KC_ENT,  KC_LEFT, KC_RPRN, KC_T,    KC_8,    KC_UP,   KC_G,    KC_C,   \
		KC_H,    KC_2,    KC_S,             KC_D,    KC_B,    KC_J,    KC_LCTL, KC_5,    KC_1,   \
		KC_0,    KC_QUES, KC_LALT, KC_RGHT, KC_SLSH, KC_SCLN, KC_9,    KC_DOWN, KC_JYEN, KC_EQL, \
		KC_Y,    KC_A,    KC_W,    KC_RGHT, KC_X,    KC_6,    KC_U,    KC_QUES, KC_F,    KC_4 
    )
};
